Subject: Re: bug#16721: 24.3.50; can not use ext font anymore

From: Ivan Kanis <[email-masked]>
Date: Thu, 13 Feb 2014 16:57:09 +0100

>> A valid XLFD name should have 14 fields separated by "-",
>> not 15 as the above example.  So, I think signaling "Invalid
>> font name" error is the right thing.

Hi Handaさん、

The font

"xft:-unknown-Symbola-normal-normal-semi-condensed-*-20-*-*-*-*-0-iso10646-1"

Is a copy & paste of what emacs 24.3 report after doing a C-u C-x =

It has 15 fields on that version.

On trunk emacs I have tried:

"xft:-Symbola-normal-normal-semi-condensed-*-20-*-*-*-*-0-iso10646-1"

and

"xft:-unknown-Symbola-normal-normal-semi-condensed-*-20-*-*-*-0-iso10646-1"

which contains 14 fields and still get an error.

I don't know anything about this xft stuff. I just had a look at the
emacs info. It talks about using a program called fclist. The output of
that program doesn't tell me what I need to tell emacs to use these fonts.

Take care,

Ivan

-- 
Don't worry; it's been deprecated. The new one is worse.
    -- BOFH excuse #54

I am listening to "Kruder & Dorfmeister - David Holmes - Gone (K&D Session)".